@font-face{
    font-family: 'arm';
    src: url(~@/fonts/arm.ttf);
}
@font-face{
    font-family:'armscript';
    src: url(~@/fonts/armscript.ttf);
}

%sections{
    width: 100%;
    height: 39vmax;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-repeat: no-repeat !important;
    background-size: cover !important;
}
%sectitle{
    font-size: 6vw;
    color: rgb(255, 255, 255);
    margin-left: 35px
}

// MAIN

main{
    width: 100%;
    text-align: justify;
    background: #000;
}
.blur{
    filter: blur(3px);
}
.text{
    @extend %sections;
    justify-content: flex-start;
    color: black;
    background: url(~@/assets/wan.jpg);
    p{
        font-size: 4.5vw;
        font-weight: 600;
    }
    .hi{
        margin-left: 20px;
        font-family: 'armscript';
        color: red;
    }
    .blog{
        display: flex;
        justify-content: center;
        font-family: 'armscript';
        margin-left: 30px;
        color: blue;
    }
    .ntext{
        margin-left: 20px;
        font-family: 'arm';
        color: orange
    }
}

// NEWS

.news{
    @extend %sections;
    background:url(~@/assets/news1.jpg);
    .know{
        margin-left: -5vw;     
    }
    .nabout{
        margin-left: -2vw;
    }
    span{
        @extend %sectitle;
    }
}

.btn {
    cursor: pointer;
    font-size: 1em;
    font-weight: 500;
    line-height: 28px;
    width: 7em;
    text-decoration: none;
    text-transform: uppercase;
    border-radius: 0;
    color:white;
  }
  .effect01 {
    border: 4px solid #000;
    box-shadow:0px 0px 0px 1px #000 inset;
    background-color: #000;
    overflow: hidden;
    &:hover {
        border: 4px solid black;
        background-color: white;
        box-shadow:0px 0px 0px 4px #EEE inset;
      }
    &:hover span{
        letter-spacing: 0.13em;
        color: rgb(0, 0, 0);
      }
  }

  // Library

  .library{
    @extend %sections;
    background:url(~@/assets/back.jpg);
    .libcont{
        .lib1{
           display: flex;
           justify-content: flex-end;
        }
        span{
            @extend %sectitle;
          }
    } 
  }

// FILMS

.films{
    @extend %sections;
    overflow: hidden;
    position: relative;
    &:before{
        content: "";
        position: absolute;
        z-index: 1;
        background-color: rgba(0, 0, 0, 0.74);
        width: 100%;
        height: 100%;
    }
    .fcont{
        position: relative;
        z-index: 1;
    }
    span{
        @extend %sectitle;
    }
}   

// Education

.edu{
    @extend %sections;
    background: url(~@/assets/end.jpeg);
    height: 36vmax;  
    justify-content: center !important;
    flex-direction: column;
        span{
            display: flex;
            justify-content: center;
            font-size: 7vw;
            color: rgb(255, 255, 255);
            margin-bottom: 4vmax;
        }  
        p{
            font-size: 2vw;
            font-weight: 700;
            font-family: 'armscript';
            color: rgb(255, 255, 255);
        }  
}

#footer{
    display: flex;
    justify-content: center;
    background-color: rgb(20, 20, 20);
    p{
        font-family: 'arm';
        color: white;
        margin: 0;
    }
}

@media(max-width: 770px){
    .news{
        justify-content: flex-start;
        flex-direction: column;
        .newscont{
            margin-top: 7vmax;
        }
        .btn{
            margin-top: 7vmax;
            margin-left: 0;
        }
        .know{
            margin-left: 0;     
        }
        .nabout{
            margin-left: 0;
        }
    }
    .library{
        justify-content: flex-start;
        flex-direction: column-reverse;
        .libcont{
            margin-bottom: 7vmax;
            .lib1{
                display: flex;
                justify-content: flex-start;
             }
        }
        .btn{
            margin-bottom: 8vmax;
        }
    }
    .films{
        justify-content: flex-start;
        flex-direction: column;
        .fcont{
            margin-top: 7vmax;
        }
        .btn{
            margin-top: 7vmax;
        }
    }
}
::-webkit-scrollbar{
    width: 7px;
}
::-webkit-scrollbar-thumb{
    background: linear-gradient(to bottom right, rgb(4, 0, 255),rgb(255, 0, 255));
    border-radius: 30px;
}